Search for contacts
curl --request GET \
--url https://web-api.clerk.chat/public/contacts \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/contacts"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"teamId": "1",
"createdByUserId": "1",
"name": "John Doe",
"phone": "+1234567890",
"email": "johndoe@example.com",
"externalId": "1234",
"avatarURL": "https://example.com/avatar.jpg",
"public": false,
"data": {},
"attributes": [],
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-01T00:00:00.000Z"
}
],
"total": 1
}Contacts
Search for contacts
Searches for contacts on your team by email or phone
GET
/
public
/
contacts
Search for contacts
Authorizations
Query Parameters
Exact email match (case-insensitive)
Phone number in any format; normalized to E.164
Number of items to return (max 50)
Page number
⌘I